DNS RecordsGet Records

Get Records

curl -X GET "https://api.5centscdn.com/v2/dns/example_string/records?limit=10&page=1&host=example_string&type=example_string" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "domain": "example.com",
  "pageMax": [
    "null"
  ],
  "records": 16
}
GET
/dns/{dnsId}/records
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Query Parameters

limitinteger
Example:
10
pageinteger
Example:
1

Responses

domainobject

Domain name configured in the DNS zone.

pageMaxstring[]

Total number of pages available for the records listing.

recordsstring[]

Total number of DNS records configured in this zone.